<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс QxtWindowSystem</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Открытые статические члены</a> &#124;
<a href="classQxtWindowSystem-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс QxtWindowSystem</div>  </div>
</div><!--header-->
<div class="contents">

<p>The <a class="el" href="classQxtWindowSystem.html" title="The QxtWindowSystem class provides means for accessing native windows.">QxtWindowSystem</a> class provides means for accessing native windows.  
 <a href="classQxtWindowSystem.html#details">Подробнее...</a></p>

<p><code>#include &lt;<a class="el" href="qxtwindowsystem_8h_source.html">qxtwindowsystem.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Открытые статические члены</h2></td></tr>
<tr class="memitem:a85949d6946e65ec035b3cabbd98760d8"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQxtWindowSystem.html#a85949d6946e65ec035b3cabbd98760d8">windows</a> ()</td></tr>
<tr class="separator:a85949d6946e65ec035b3cabbd98760d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a7d3cdda9eb2205c97592e528c6724d"><td class="memItemLeft" align="right" valign="top">static WId&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQxtWindowSystem.html#a4a7d3cdda9eb2205c97592e528c6724d">activeWindow</a> ()</td></tr>
<tr class="separator:a4a7d3cdda9eb2205c97592e528c6724d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad32e4d0efdbd592f0902192aedad9da6"><td class="memItemLeft" align="right" valign="top">static WId&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQxtWindowSystem.html#ad32e4d0efdbd592f0902192aedad9da6">findWindow</a> (const QString &amp;title)</td></tr>
<tr class="separator:ad32e4d0efdbd592f0902192aedad9da6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33854010bd2d0b678caf6d6277b57690"><td class="memItemLeft" align="right" valign="top">static WId&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQxtWindowSystem.html#a33854010bd2d0b678caf6d6277b57690">windowAt</a> (const QPoint &amp;pos)</td></tr>
<tr class="separator:a33854010bd2d0b678caf6d6277b57690"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a539106c49b2eca630e8df41982e6728d"><td class="memItemLeft" align="right" valign="top">static QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQxtWindowSystem.html#a539106c49b2eca630e8df41982e6728d">windowTitle</a> (WId window)</td></tr>
<tr class="separator:a539106c49b2eca630e8df41982e6728d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a755ec1f32d774d67a92cbe01a1a7158a"><td class="memItemLeft" align="right" valign="top">static QStringList&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQxtWindowSystem.html#a755ec1f32d774d67a92cbe01a1a7158a">windowTitles</a> ()</td></tr>
<tr class="separator:a755ec1f32d774d67a92cbe01a1a7158a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9554ae83f1046cf4745a70d8c4e1fca"><td class="memItemLeft" align="right" valign="top">static QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQxtWindowSystem.html#ac9554ae83f1046cf4745a70d8c4e1fca">windowGeometry</a> (WId window)</td></tr>
<tr class="separator:ac9554ae83f1046cf4745a70d8c4e1fca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab58261f49fd45a7363d1abd7dfea831f"><td class="memItemLeft" align="right" valign="top">static uint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQxtWindowSystem.html#ab58261f49fd45a7363d1abd7dfea831f">idleTime</a> ()</td></tr>
<tr class="separator:ab58261f49fd45a7363d1abd7dfea831f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>The <a class="el" href="classQxtWindowSystem.html" title="The QxtWindowSystem class provides means for accessing native windows.">QxtWindowSystem</a> class provides means for accessing native windows. </p>
<p>\inmodule QxtWidgets \bold {Note:} The underlying window system might or might not allow one to alter states of windows belonging to other processes.</p>
<dl class="section warning"><dt>Предупреждения</dt><dd><a class="el" href="classQxtWindowSystem.html" title="The QxtWindowSystem class provides means for accessing native windows.">QxtWindowSystem</a> is portable in principle, but be careful while using it since you are probably about to do something non-portable.</dd></dl>

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem_8h_source.html">qxtwindowsystem.h</a> строка <a class="el" href="qxtwindowsystem_8h_source.html#l00038">38</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="a4a7d3cdda9eb2205c97592e528c6724d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a7d3cdda9eb2205c97592e528c6724d">&#9670;&nbsp;</a></span>activeWindow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">WId QxtWindowSystem::activeWindow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the native window system identifier of the active window if any.</p>
<dl class="section see"><dt>См. также</dt><dd>QApplication::activeWindow() </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8cpp_source.html">qxtwindowsystem_mac.cpp</a> строка <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00065">65</a></p>
<div class="fragment"><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;{</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    ProcessSerialNumber psn;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    OSErr err(noErr);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    err = ::GetFrontProcess(&amp;psn);</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordflow">if</span> (err != noErr) <span class="keywordflow">return</span> <a class="code" href="qxtwindowsystem__mac_8cpp.html#a1ecf230b0672c9208e9bd76e572f4966">WINDOW_NOT_FOUND</a>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="comment">// in Mac OS X, first window for given PSN is always the active one</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <a class="code" href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a> wlist = <a class="code" href="qxtwindowsystem__mac_8cpp.html#ab50f7e580c17e629637a9252ba9a226b">qxt_getWindowsForPSN</a>(&amp;psn);</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordflow">if</span> (wlist.count() &gt; 0)</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keywordflow">return</span> wlist.at(0);</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="qxtwindowsystem__mac_8cpp.html#a1ecf230b0672c9208e9bd76e572f4966">WINDOW_NOT_FOUND</a>;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00010">qxt_getWindowsForPSN()</a> и <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00008">WINDOW_NOT_FOUND</a>.</p>

</div>
</div>
<a id="ad32e4d0efdbd592f0902192aedad9da6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad32e4d0efdbd592f0902192aedad9da6">&#9670;&nbsp;</a></span>findWindow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">WId QxtWindowSystem::findWindow </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;&#160;</td>
          <td class="paramname"><em>title</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the native window system identifier of the window if any with given <em>title</em>.</p>
<p>Example usage: </p><div class="fragment"><div class="line">WId wid = <a class="code" href="classQxtWindowSystem.html#ad32e4d0efdbd592f0902192aedad9da6">QxtWindowSystem::findWindow</a>(<span class="stringliteral">&quot;Mail - Kontact&quot;</span>);</div>
<div class="line">QPixmap screenshot = QPixmap::grabWindow(wid);</div>
</div><!-- fragment --><dl class="section see"><dt>См. также</dt><dd>QWidget::find() </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8cpp_source.html">qxtwindowsystem_mac.cpp</a> строка <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00126">126</a></p>
<div class="fragment"><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;{</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    WId result = 0;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    <a class="code" href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a> list = <a class="code" href="classQxtWindowSystem.html#a85949d6946e65ec035b3cabbd98760d8">windows</a>();</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keywordflow">foreach</span>(<span class="keyword">const</span> WId &amp;wid, list)</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    {</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        <span class="keywordflow">if</span> (<a class="code" href="classQxtWindowSystem.html#a539106c49b2eca630e8df41982e6728d">windowTitle</a>(wid) == title)</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        {</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;            result = wid;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        }</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    }</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keywordflow">return</span> result;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00050">windows()</a> и <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00081">windowTitle()</a>.</p>

</div>
</div>
<a id="ab58261f49fd45a7363d1abd7dfea831f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab58261f49fd45a7363d1abd7dfea831f">&#9670;&nbsp;</a></span>idleTime()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint QxtWindowSystem::idleTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the system "idle time" ie. the time since last user input in milliseconds. </p>

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8cpp_source.html">qxtwindowsystem_mac.cpp</a> строка <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00116">116</a></p>
<div class="fragment"><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;{</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="comment">// CGEventSourceSecondsSinceLastEventType returns time in seconds as a double</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="comment">// also has extremely long name</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">double</span> idle = 1000 * ::CGEventSourceSecondsSinceLastEventType(kCGEventSourceStateCombinedSessionState, kCGAnyInputEventType);</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <span class="keywordflow">return</span> (uint)idle;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;}</div>
</div><!-- fragment -->
</div>
</div>
<a id="a33854010bd2d0b678caf6d6277b57690"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33854010bd2d0b678caf6d6277b57690">&#9670;&nbsp;</a></span>windowAt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">WId QxtWindowSystem::windowAt </td>
          <td>(</td>
          <td class="paramtype">const QPoint &amp;&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the native window system identifier of the window if any at <em>pos</em>.</p>
<dl class="section see"><dt>См. также</dt><dd>QApplication::widgetAt() </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8cpp_source.html">qxtwindowsystem_mac.cpp</a> строка <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00141">141</a></p>
<div class="fragment"><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;{</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    WId result = 0;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <a class="code" href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a> list = <a class="code" href="classQxtWindowSystem.html#a85949d6946e65ec035b3cabbd98760d8">windows</a>();</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = list.size() - 1; i &gt;= 0; --i)</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    {</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        WId wid = list.at(i);</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        <span class="keywordflow">if</span> (<a class="code" href="classQxtWindowSystem.html#ac9554ae83f1046cf4745a70d8c4e1fca">windowGeometry</a>(wid).contains(pos))</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        {</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;            result = wid;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;        }</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    }</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <span class="keywordflow">return</span> result;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00101">windowGeometry()</a> и <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00050">windows()</a>.</p>

</div>
</div>
<a id="ac9554ae83f1046cf4745a70d8c4e1fca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9554ae83f1046cf4745a70d8c4e1fca">&#9670;&nbsp;</a></span>windowGeometry()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QRect QxtWindowSystem::windowGeometry </td>
          <td>(</td>
          <td class="paramtype">WId&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the geometry of the native <em>window</em>.</p>
<dl class="section see"><dt>См. также</dt><dd>QWidget::frameGeometry() </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8cpp_source.html">qxtwindowsystem_mac.cpp</a> строка <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00101">101</a></p>
<div class="fragment"><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;{</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    CGRect rect;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keyword">static</span> <a class="code" href="qxtwindowsystem__mac_8h.html#a81d08c0459b4d968f5e10f93551867cc">CGSConnection</a> connection = <a class="code" href="qxtwindowsystem__mac_8h.html#abf2d3e5395343092c0bb0670be1add04">_CGSDefaultConnection</a>();</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    CGError err = <a class="code" href="qxtwindowsystem__mac_8h.html#ae8a0837de6910ea2202576d230325f97">CGSGetWindowBounds</a>(connection, window, &amp;rect);</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keywordflow">if</span> (err != noErr) <span class="keywordflow">return</span> QRect();</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordflow">return</span> QRect(rect.origin.x, rect.origin.y, rect.size.width, rect.size.height);</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="qxtwindowsystem__mac_8h.html#abf2d3e5395343092c0bb0670be1add04">_CGSDefaultConnection()</a> и <a class="el" href="qxtwindowsystem__mac_8h.html#ae8a0837de6910ea2202576d230325f97">CGSGetWindowBounds()</a>.</p>

<p class="reference">Используется в <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00141">windowAt()</a>.</p>

</div>
</div>
<a id="a85949d6946e65ec035b3cabbd98760d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85949d6946e65ec035b3cabbd98760d8">&#9670;&nbsp;</a></span>windows()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a> QxtWindowSystem::windows </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the list of native window system identifiers.</p>
<dl class="section see"><dt>См. также</dt><dd>QApplication::topLevelWidgets(), <a class="el" href="classQxtWindowSystem.html#a755ec1f32d774d67a92cbe01a1a7158a">windowTitles()</a> </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8cpp_source.html">qxtwindowsystem_mac.cpp</a> строка <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00050">50</a></p>
<div class="fragment"><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;{</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <a class="code" href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a> wlist;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    ProcessSerialNumber psn = {0, kNoProcess};</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="comment">// iterate over list of processes</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    OSErr err;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keywordflow">while</span> ((err = ::GetNextProcess(&amp;psn)) == noErr)</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    {</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        wlist += <a class="code" href="qxtwindowsystem__mac_8cpp.html#ab50f7e580c17e629637a9252ba9a226b">qxt_getWindowsForPSN</a>(&amp;psn);</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    }</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordflow">return</span> wlist;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00010">qxt_getWindowsForPSN()</a>.</p>

<p class="reference">Используется в <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00126">findWindow()</a> и <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00141">windowAt()</a>.</p>

</div>
</div>
<a id="a539106c49b2eca630e8df41982e6728d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a539106c49b2eca630e8df41982e6728d">&#9670;&nbsp;</a></span>windowTitle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QxtWindowSystem::windowTitle </td>
          <td>(</td>
          <td class="paramtype">WId&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the title of the native <em>window</em>.</p>
<dl class="section see"><dt>См. также</dt><dd>QWidget::windowTitle(), <a class="el" href="classQxtWindowSystem.html#a755ec1f32d774d67a92cbe01a1a7158a">windowTitles()</a> </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8cpp_source.html">qxtwindowsystem_mac.cpp</a> строка <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00081">81</a></p>
<div class="fragment"><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;{</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <a class="code" href="qxtwindowsystem__mac_8h.html#aa44bd745b5928764aac9439c350d4c95">CGSValue</a> <a class="code" href="classQxtWindowSystem.html#a539106c49b2eca630e8df41982e6728d">windowTitle</a>;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    CGError err((CGError)noErr);</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keyword">static</span> <a class="code" href="qxtwindowsystem__mac_8h.html#a81d08c0459b4d968f5e10f93551867cc">CGSConnection</a> connection = <a class="code" href="qxtwindowsystem__mac_8h.html#abf2d3e5395343092c0bb0670be1add04">_CGSDefaultConnection</a>();</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="comment">// This code is so dirty I had to wash my hands after writing it.</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160; </div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="comment">// most of CoreGraphics private definitions ask for CGSValue as key but since</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="comment">// converting strings to/from CGSValue was dropped in 10.5, I use CFString, which</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="comment">// apparently also works.</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="comment">// FIXME: Not public API function. Can&#39;t compile with OS X 10.8</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="comment">// err = CGSGetWindowProperty(connection, window, (CGSValue)CFSTR(&quot;kCGSWindowTitle&quot;), &amp;windowTitle);</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordflow">if</span> (err != noErr) <span class="keywordflow">return</span> QString();</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="comment">// this is UTF8 encoded</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classQCFString.html#a1eac4b662da6efd2424f0494b57f41d8">QCFString::toQString</a>((CFStringRef)<a class="code" href="classQxtWindowSystem.html#a539106c49b2eca630e8df41982e6728d">windowTitle</a>);</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="qxtwindowsystem__mac_8h.html#abf2d3e5395343092c0bb0670be1add04">_CGSDefaultConnection()</a> и <a class="el" href="classQCFString.html#a1eac4b662da6efd2424f0494b57f41d8">QCFString::toQString()</a>.</p>

<p class="reference">Используется в <a class="el" href="qxtwindowsystem__mac_8cpp_source.html#l00126">findWindow()</a>.</p>

</div>
</div>
<a id="a755ec1f32d774d67a92cbe01a1a7158a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a755ec1f32d774d67a92cbe01a1a7158a">&#9670;&nbsp;</a></span>windowTitles()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QStringList QxtWindowSystem::windowTitles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a list of native window titles.</p>
<dl class="section see"><dt>См. также</dt><dd>QWidget::windowTitle(), <a class="el" href="classQxtWindowSystem.html#a539106c49b2eca630e8df41982e6728d">windowTitle()</a>, <a class="el" href="classQxtWindowSystem.html#a85949d6946e65ec035b3cabbd98760d8">windows()</a> </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem_8cpp_source.html">qxtwindowsystem.cpp</a> строка <a class="el" href="qxtwindowsystem_8cpp_source.html#l00145">145</a></p>
<div class="fragment"><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;{</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <a class="code" href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a> <a class="code" href="classQxtWindowSystem.html#a85949d6946e65ec035b3cabbd98760d8">windows</a> = <a class="code" href="classQxtWindowSystem.html#a85949d6946e65ec035b3cabbd98760d8">QxtWindowSystem::windows</a>();</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    QStringList titles;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <span class="keywordflow">foreach</span>(WId window, <a class="code" href="classQxtWindowSystem.html#a85949d6946e65ec035b3cabbd98760d8">windows</a>)</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    titles += <a class="code" href="classQxtWindowSystem.html#a539106c49b2eca630e8df41982e6728d">QxtWindowSystem::windowTitle</a>(window);</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    <span class="keywordflow">return</span> titles;</div>
</div><!-- fragment -->
</div>
</div>
<hr/>Объявления и описания членов классов находятся в файлах:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/<a class="el" href="qxtwindowsystem_8h_source.html">qxtwindowsystem.h</a></li>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/<a class="el" href="qxtwindowsystem_8cpp_source.html">qxtwindowsystem.cpp</a></li>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/<a class="el" href="qxtwindowsystem__mac_8cpp_source.html">qxtwindowsystem_mac.cpp</a></li>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/<a class="el" href="qxtwindowsystem__win_8cpp_source.html">qxtwindowsystem_win.cpp</a></li>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/<a class="el" href="qxtwindowsystem__x11_8cpp_source.html">qxtwindowsystem_x11.cpp</a></li>
</ul>
</div><!-- contents -->
<div class="ttc" id="aqxtwindowsystem__mac_8h_html_a81d08c0459b4d968f5e10f93551867cc"><div class="ttname"><a href="qxtwindowsystem__mac_8h.html#a81d08c0459b4d968f5e10f93551867cc">CGSConnection</a></div><div class="ttdeci">int CGSConnection</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8h_source.html#l00075">qxtwindowsystem_mac.h:75</a></div></div>
<div class="ttc" id="aqxtwindowsystem__mac_8h_html_aa44bd745b5928764aac9439c350d4c95"><div class="ttname"><a href="qxtwindowsystem__mac_8h.html#aa44bd745b5928764aac9439c350d4c95">CGSValue</a></div><div class="ttdeci">void * CGSValue</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8h_source.html#l00078">qxtwindowsystem_mac.h:78</a></div></div>
<div class="ttc" id="aqxtwindowsystem__mac_8h_html_ae8a0837de6910ea2202576d230325f97"><div class="ttname"><a href="qxtwindowsystem__mac_8h.html#ae8a0837de6910ea2202576d230325f97">CGSGetWindowBounds</a></div><div class="ttdeci">CGError CGSGetWindowBounds(CGSConnection cid, CGSWindowID wid, CGRect *outBounds)</div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_a539106c49b2eca630e8df41982e6728d"><div class="ttname"><a href="classQxtWindowSystem.html#a539106c49b2eca630e8df41982e6728d">QxtWindowSystem::windowTitle</a></div><div class="ttdeci">static QString windowTitle(WId window)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00081">qxtwindowsystem_mac.cpp:81</a></div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_ad32e4d0efdbd592f0902192aedad9da6"><div class="ttname"><a href="classQxtWindowSystem.html#ad32e4d0efdbd592f0902192aedad9da6">QxtWindowSystem::findWindow</a></div><div class="ttdeci">static WId findWindow(const QString &amp;title)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00126">qxtwindowsystem_mac.cpp:126</a></div></div>
<div class="ttc" id="aqxtwindowsystem__mac_8h_html_abf2d3e5395343092c0bb0670be1add04"><div class="ttname"><a href="qxtwindowsystem__mac_8h.html#abf2d3e5395343092c0bb0670be1add04">_CGSDefaultConnection</a></div><div class="ttdeci">CGSConnection _CGSDefaultConnection(void)</div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_ac9554ae83f1046cf4745a70d8c4e1fca"><div class="ttname"><a href="classQxtWindowSystem.html#ac9554ae83f1046cf4745a70d8c4e1fca">QxtWindowSystem::windowGeometry</a></div><div class="ttdeci">static QRect windowGeometry(WId window)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00101">qxtwindowsystem_mac.cpp:101</a></div></div>
<div class="ttc" id="aclassQCFString_html_a1eac4b662da6efd2424f0494b57f41d8"><div class="ttname"><a href="classQCFString.html#a1eac4b662da6efd2424f0494b57f41d8">QCFString::toQString</a></div><div class="ttdeci">static QString toQString(CFStringRef cfstr)</div></div>
<div class="ttc" id="aqxtwindowsystem_8h_html_a1d6ca5ed34c654cd33594120d5b76ec5"><div class="ttname"><a href="qxtwindowsystem_8h.html#a1d6ca5ed34c654cd33594120d5b76ec5">WindowList</a></div><div class="ttdeci">QList&lt; WId &gt; WindowList</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem_8h_source.html#l00036">qxtwindowsystem.h:36</a></div></div>
<div class="ttc" id="aclassQxtWindowSystem_html_a85949d6946e65ec035b3cabbd98760d8"><div class="ttname"><a href="classQxtWindowSystem.html#a85949d6946e65ec035b3cabbd98760d8">QxtWindowSystem::windows</a></div><div class="ttdeci">static WindowList windows()</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00050">qxtwindowsystem_mac.cpp:50</a></div></div>
<div class="ttc" id="aqxtwindowsystem__mac_8cpp_html_a1ecf230b0672c9208e9bd76e572f4966"><div class="ttname"><a href="qxtwindowsystem__mac_8cpp.html#a1ecf230b0672c9208e9bd76e572f4966">WINDOW_NOT_FOUND</a></div><div class="ttdeci">#define WINDOW_NOT_FOUND</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00008">qxtwindowsystem_mac.cpp:8</a></div></div>
<div class="ttc" id="aqxtwindowsystem__mac_8cpp_html_ab50f7e580c17e629637a9252ba9a226b"><div class="ttname"><a href="qxtwindowsystem__mac_8cpp.html#ab50f7e580c17e629637a9252ba9a226b">qxt_getWindowsForPSN</a></div><div class="ttdeci">WindowList qxt_getWindowsForPSN(ProcessSerialNumber *psn)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8cpp_source.html#l00010">qxtwindowsystem_mac.cpp:10</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
